
CSSDB
=====

This is the source code for http://cssdb.co/ – a curated collection of great CSS, Sass, LESS and Stylus libraries.


Getting Started
---------------

To run the CSSDB site locally, follow the [Setup Guide][setup]. This should have you up-and-running in no time.


Bugs/Features/Questions
-----------------------

Use the project [issue tracker][issues] to track bugs, request/discuss features, and ask questions.

If you're interested in understanding some of the development decisions that have been made so far, check out this post: [Building CSSDB][building-cssdb-post].


Development
-----------

Feel free to contribute code, design and ideas to CSSDB, we'll be more than happy to chat with you. Please, before diving in, review our [contribution guidelines][contributing]. This will help prevent you and me both from wasting time :)

All code should be linted and have passing tests. You can run JSHint with the correct config, and run feature tests using the commands below:

```sh
$ make lint  # Lint JavaScript code
$ make test  # Run automated tests
```


License
-------

![CC BY-NC 3.0](http://i.creativecommons.org/l/by-nc/3.0/88x31.png)  
This source code (and design) is licensed under the [Creative Commons Attribution-NonCommercial 3.0 Unported][cc-by-nc] license.



[building-cssdb-post]: http://rowanmanning.com/posts/building-cssdb/
[cc-by-nc]: http://creativecommons.org/licenses/by-nc/3.0/
[contributing]: CONTRIBUTING.md
[issues]: https://github.com/rowanmanning/cssdb/issues
[setup]: SETUP.md
